DashboardsUpdate layout

Update layout

Replace the grid layout configuration for a dashboard. Each item defines the position and size of an insight card in the grid.

curl -X PUT "https://api.mythic-analytics.com/api/v1/dashboards/example_string/layout" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "layout": [
    {
      "insight_id": "ins_8kN2mPqR",
      "x": 0,
      "y": 0,
      "w": 6,
      "h": 4
    }
  ]
}'
{
  "success": true,
  "data": "null"
}
PUT
/dashboards/{id}/layout
PUT
Bearer Token
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
API Key (query: admin_key)
admin_keystring
Required

Alternative to the Authorization header for server-to-server scenarios.

Alternative to the Authorization header for server-to-server scenarios.
path
idstring
Required

Dashboard identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
layoutarray
Required

Grid layout items defining position and size of each insight.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

query
admin_keystring
Required

API Key for authentication. Alternative to the Authorization header for server-to-server scenarios.

Path Parameters

idstring
Required

Dashboard identifier.

Body

application/json
layoutarray
Required

Grid layout items defining position and size of each insight.

Responses

successboolean
datastring